

stages:
  - test
  - deploy

run_unit_tests:
  image: node:latest
  stage: test
  before_script:
    - npm install
  script:
    - npm run test:ci

deploy_production:
  stage: deploy
  image: node:16.16.0
  only:
    - main
  script:
    - npm install --global vercel
    - vercel pull --yes --environment=production --token=$VERCEL_TOKEN
    - vercel build --prod --token=$VERCEL_TOKEN
    - vercel deploy --prebuilt --prod --token=$VERCEL_TOKEN


# include:
#   - template: Jobs/SAST.gitlab-ci.yml
#   - template: Jobs/Secret-Detection.gitlab-ci.yml

# stages:
#   - test
#   - deploy



